<!-- HTML header for doxygen 1.8.18-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=9" />
    <meta name="generator" content="Doxygen 1.9.1" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>VizBlocks: src/Behaviours.h Source File</title>
    <link href="tabs.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript" src="jquery.js"></script>
    <script type="text/javascript" src="dynsections.js"></script>
     <link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
    <link href="my_customdoxygen.css" rel="stylesheet" type="text/css" />
  </head>
  <body>
    <div id="top">
      <!-- do not remove this div, it is closed by doxygen! -->
      <header id="header" class="desktop">
        <div>
          <div class="inner-header">
            <div class="logotype">
              <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/" aria-hidden="true" title="Site home"
                >VizBlocks</a
              >
            </div>
            <div class="navigation">
              <button
                onclick="toggleBurger()"
                type="button"
                aria-label="toggle burger menu"
              >
                <i class="fa fa-bars"></i>
              </button>
              <nav id="menu" class="collapse">
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/" class="home">Home</a>
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/about" class="about">About</a>
                <a
                  href="https://edinburgh-college-of-art.github.io/vizblocks-website/tutorials/0_getting_started.html"
                  class="start"
                  >Get Started</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/tutorials" class="tutorials"
                  >Tutorials</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/docs/html" class="docs"
                  >Technical Info</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/contact" class="content">Contact</a>
              </nav>
            </div>
          </div>
        </div>
        <script>
          const toggleBurger = () => {
            const menu = document.getElementById("menu");
            if (menu.className === "collapse") {
              menu.className = "extend";
            } else {
              menu.className = "collapse";
            }
          };
          const touchDevice = "ontouchstart" in document.documentElement;
          if (touchDevice) {
            const header = document.getElementById("header");
            header.className = "mobile";
          }
        </script>
      </header>
      <!-- end header part -->
    </div>
  </body>
</html>
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Behaviours.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_behaviours_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#ifndef BEHAVIOUR_h</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#define BEHAVIOUR_h</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#include &lt;Arduino.h&gt;</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160; </div>
<div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="class_behaviour.html">   19</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_behaviour.html">Behaviour</a></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;{</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">protected</span>:</div>
<div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="class_behaviour.html#ab26c8020df403d81ff28d13e22b61c81">   22</a></span>&#160;    <span class="keywordtype">boolean</span> <a class="code" href="class_behaviour.html#ab26c8020df403d81ff28d13e22b61c81">_interruptable</a> = <span class="keyword">true</span>;</div>
<div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="class_behaviour.html#acbe345ebc552c4f6875ec845d2697f9f">   23</a></span>&#160;    <span class="keywordtype">boolean</span> <a class="code" href="class_behaviour.html#acbe345ebc552c4f6875ec845d2697f9f">_temp</a> = <span class="keyword">false</span>;</div>
<div class="line"><a name="l00024"></a><span class="lineno"><a class="line" href="class_behaviour.html#af1f8d319677a6935c28acbbea643c46c">   24</a></span>&#160;    <span class="keywordtype">boolean</span> <a class="code" href="class_behaviour.html#af1f8d319677a6935c28acbbea643c46c">_priority</a> = <span class="keyword">false</span>;</div>
<div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="class_behaviour.html#a4397ea529500c0c3259777ffa4a6bad2">   25</a></span>&#160;    <span class="keywordtype">boolean</span> <a class="code" href="class_behaviour.html#a4397ea529500c0c3259777ffa4a6bad2">_running</a> = <span class="keyword">false</span>;</div>
<div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="class_behaviour.html#a93c2dc62b373e7d4b58c7cebded12f16">   26</a></span>&#160;    <span class="keywordtype">boolean</span> <a class="code" href="class_behaviour.html#a93c2dc62b373e7d4b58c7cebded12f16">_background</a> = <span class="keyword">false</span>;</div>
<div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="class_behaviour.html#ad6628fb93079b0f8e2ef4412a9046416">   27</a></span>&#160;    String <a class="code" href="class_behaviour.html#ad6628fb93079b0f8e2ef4412a9046416">_name</a> = <span class="stringliteral">&quot;name&quot;</span>;</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160; </div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00030"></a><span class="lineno"><a class="line" href="class_behaviour.html#aa09d1af17d15fa0c204f2b713e46fba0">   30</a></span>&#160;    <a class="code" href="class_behaviour.html#aa09d1af17d15fa0c204f2b713e46fba0">Behaviour</a>(String <a class="code" href="class_behaviour.html#a766009be6f0ed1acd74d4ba5c138a7bd">name</a>);</div>
<div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="class_behaviour.html#ab9099279876aa70410ab96ca589531df">   31</a></span>&#160;    <a class="code" href="class_behaviour.html#ab9099279876aa70410ab96ca589531df">~Behaviour</a>();</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160; </div>
<div class="line"><a name="l00036"></a><span class="lineno"><a class="line" href="class_behaviour.html#a6194e394bab5d264e333b6962173064d">   36</a></span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">boolean</span> <a class="code" href="class_behaviour.html#a6194e394bab5d264e333b6962173064d">is_interruptable</a>();</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160; </div>
<div class="line"><a name="l00041"></a><span class="lineno"><a class="line" href="class_behaviour.html#a0d07ba942e21d9d368c5e3837de068b3">   41</a></span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">boolean</span> <a class="code" href="class_behaviour.html#a0d07ba942e21d9d368c5e3837de068b3">is_temp</a>();</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160; </div>
<div class="line"><a name="l00046"></a><span class="lineno"><a class="line" href="class_behaviour.html#a2c47f0e25b4084939bd5cb5f78012385">   46</a></span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">boolean</span> <a class="code" href="class_behaviour.html#a2c47f0e25b4084939bd5cb5f78012385">is_priority</a>();</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160; </div>
<div class="line"><a name="l00051"></a><span class="lineno"><a class="line" href="class_behaviour.html#a629c91d3771c7938b22ff393b95518ef">   51</a></span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">boolean</span> <a class="code" href="class_behaviour.html#a629c91d3771c7938b22ff393b95518ef">is_running</a>();</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160; </div>
<div class="line"><a name="l00056"></a><span class="lineno"><a class="line" href="class_behaviour.html#a0f976beeea75cc999f4ce5cbdc889d54">   56</a></span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">boolean</span> <a class="code" href="class_behaviour.html#a0f976beeea75cc999f4ce5cbdc889d54">is_background</a>();</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160; </div>
<div class="line"><a name="l00061"></a><span class="lineno"><a class="line" href="class_behaviour.html#a766009be6f0ed1acd74d4ba5c138a7bd">   61</a></span>&#160;    <span class="keyword">virtual</span> String <a class="code" href="class_behaviour.html#a766009be6f0ed1acd74d4ba5c138a7bd">name</a>();</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160; </div>
<div class="line"><a name="l00067"></a><span class="lineno"><a class="line" href="class_behaviour.html#ad5aa6388bf5b47911ae801ebbf82e35d">   67</a></span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">char</span>* <a class="code" href="class_behaviour.html#ad5aa6388bf5b47911ae801ebbf82e35d">args</a>();</div>
<div class="line"><a name="l00071"></a><span class="lineno"><a class="line" href="class_behaviour.html#ab4bc4b2d9d9ec727fd84796c6c6d44b3">   71</a></span>&#160;    <span class="keyword">virtual</span> String <a class="code" href="class_behaviour.html#ab4bc4b2d9d9ec727fd84796c6c6d44b3">start</a>(String <a class="code" href="class_behaviour.html#ad5aa6388bf5b47911ae801ebbf82e35d">args</a>);</div>
<div class="line"><a name="l00075"></a><span class="lineno"><a class="line" href="class_behaviour.html#a4b8190a1a262ab969fd7706cc55906c6">   75</a></span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="class_behaviour.html#a4b8190a1a262ab969fd7706cc55906c6">update</a>();</div>
<div class="line"><a name="l00080"></a><span class="lineno"><a class="line" href="class_behaviour.html#a56f7e55bee64010414c07deb79426a9b">   80</a></span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="class_behaviour.html#a56f7e55bee64010414c07deb79426a9b">stop</a>();</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;};</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160; </div>
<div class="line"><a name="l00088"></a><span class="lineno"><a class="line" href="class_behaviour_table.html">   88</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_behaviour_table.html">BehaviourTable</a></div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;{</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    <a class="code" href="class_behaviour.html">Behaviour</a>* behaviours[40];</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160; </div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00093"></a><span class="lineno"><a class="line" href="class_behaviour_table.html#ad9d97706571921853ee9264a4c8b5002">   93</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="class_behaviour_table.html#ad9d97706571921853ee9264a4c8b5002">num</a> = 0;</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160; </div>
<div class="line"><a name="l00095"></a><span class="lineno"><a class="line" href="class_behaviour_table.html#a418f3281a4015f9aee5bf96f04bbc7e2">   95</a></span>&#160;    <a class="code" href="class_behaviour_table.html#a418f3281a4015f9aee5bf96f04bbc7e2">BehaviourTable</a>();</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160; </div>
<div class="line"><a name="l00100"></a><span class="lineno"><a class="line" href="class_behaviour_table.html#a96ee4c7c933eb504cec5869f32b685af">  100</a></span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_behaviour_table.html#a96ee4c7c933eb504cec5869f32b685af">add</a>(<a class="code" href="class_behaviour.html">Behaviour</a> *b);</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160; </div>
<div class="line"><a name="l00105"></a><span class="lineno"><a class="line" href="class_behaviour_table.html#ad5d8a74149039069429b8220bd20387a">  105</a></span>&#160;    <a class="code" href="class_behaviour.html">Behaviour</a>* <a class="code" href="class_behaviour_table.html#ad5d8a74149039069429b8220bd20387a">get</a>(String n);</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160; </div>
<div class="line"><a name="l00110"></a><span class="lineno"><a class="line" href="class_behaviour_table.html#a9032dcf2ef997e471bb24f1d5a01b526">  110</a></span>&#160;    <a class="code" href="class_behaviour.html">Behaviour</a>* <a class="code" href="class_behaviour_table.html#a9032dcf2ef997e471bb24f1d5a01b526">get_by_num</a>(<span class="keywordtype">int</span> n);</div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160; </div>
<div class="line"><a name="l00115"></a><span class="lineno"><a class="line" href="class_behaviour_table.html#a54ee378244ccb20084f6d9f3e629cce9">  115</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="class_behaviour_table.html#a54ee378244ccb20084f6d9f3e629cce9">get_num_behaviours</a>();</div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;};</div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160; </div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="ttc" id="aclass_behaviour_html"><div class="ttname"><a href="class_behaviour.html">Behaviour</a></div><div class="ttdoc">Parent class for all other behaviours.</div><div class="ttdef"><b>Definition:</b> Behaviours.h:20</div></div>
<div class="ttc" id="aclass_behaviour_html_a0d07ba942e21d9d368c5e3837de068b3"><div class="ttname"><a href="class_behaviour.html#a0d07ba942e21d9d368c5e3837de068b3">Behaviour::is_temp</a></div><div class="ttdeci">virtual boolean is_temp()</div></div>
<div class="ttc" id="aclass_behaviour_html_a0f976beeea75cc999f4ce5cbdc889d54"><div class="ttname"><a href="class_behaviour.html#a0f976beeea75cc999f4ce5cbdc889d54">Behaviour::is_background</a></div><div class="ttdeci">virtual boolean is_background()</div></div>
<div class="ttc" id="aclass_behaviour_html_a2c47f0e25b4084939bd5cb5f78012385"><div class="ttname"><a href="class_behaviour.html#a2c47f0e25b4084939bd5cb5f78012385">Behaviour::is_priority</a></div><div class="ttdeci">virtual boolean is_priority()</div></div>
<div class="ttc" id="aclass_behaviour_html_a4397ea529500c0c3259777ffa4a6bad2"><div class="ttname"><a href="class_behaviour.html#a4397ea529500c0c3259777ffa4a6bad2">Behaviour::_running</a></div><div class="ttdeci">boolean _running</div><div class="ttdef"><b>Definition:</b> Behaviours.h:25</div></div>
<div class="ttc" id="aclass_behaviour_html_a4b8190a1a262ab969fd7706cc55906c6"><div class="ttname"><a href="class_behaviour.html#a4b8190a1a262ab969fd7706cc55906c6">Behaviour::update</a></div><div class="ttdeci">virtual void update()</div></div>
<div class="ttc" id="aclass_behaviour_html_a56f7e55bee64010414c07deb79426a9b"><div class="ttname"><a href="class_behaviour.html#a56f7e55bee64010414c07deb79426a9b">Behaviour::stop</a></div><div class="ttdeci">virtual void stop()</div></div>
<div class="ttc" id="aclass_behaviour_html_a6194e394bab5d264e333b6962173064d"><div class="ttname"><a href="class_behaviour.html#a6194e394bab5d264e333b6962173064d">Behaviour::is_interruptable</a></div><div class="ttdeci">virtual boolean is_interruptable()</div></div>
<div class="ttc" id="aclass_behaviour_html_a629c91d3771c7938b22ff393b95518ef"><div class="ttname"><a href="class_behaviour.html#a629c91d3771c7938b22ff393b95518ef">Behaviour::is_running</a></div><div class="ttdeci">virtual boolean is_running()</div></div>
<div class="ttc" id="aclass_behaviour_html_a766009be6f0ed1acd74d4ba5c138a7bd"><div class="ttname"><a href="class_behaviour.html#a766009be6f0ed1acd74d4ba5c138a7bd">Behaviour::name</a></div><div class="ttdeci">virtual String name()</div></div>
<div class="ttc" id="aclass_behaviour_html_a93c2dc62b373e7d4b58c7cebded12f16"><div class="ttname"><a href="class_behaviour.html#a93c2dc62b373e7d4b58c7cebded12f16">Behaviour::_background</a></div><div class="ttdeci">boolean _background</div><div class="ttdef"><b>Definition:</b> Behaviours.h:26</div></div>
<div class="ttc" id="aclass_behaviour_html_aa09d1af17d15fa0c204f2b713e46fba0"><div class="ttname"><a href="class_behaviour.html#aa09d1af17d15fa0c204f2b713e46fba0">Behaviour::Behaviour</a></div><div class="ttdeci">Behaviour(String name)</div></div>
<div class="ttc" id="aclass_behaviour_html_ab26c8020df403d81ff28d13e22b61c81"><div class="ttname"><a href="class_behaviour.html#ab26c8020df403d81ff28d13e22b61c81">Behaviour::_interruptable</a></div><div class="ttdeci">boolean _interruptable</div><div class="ttdef"><b>Definition:</b> Behaviours.h:22</div></div>
<div class="ttc" id="aclass_behaviour_html_ab4bc4b2d9d9ec727fd84796c6c6d44b3"><div class="ttname"><a href="class_behaviour.html#ab4bc4b2d9d9ec727fd84796c6c6d44b3">Behaviour::start</a></div><div class="ttdeci">virtual String start(String args)</div></div>
<div class="ttc" id="aclass_behaviour_html_ab9099279876aa70410ab96ca589531df"><div class="ttname"><a href="class_behaviour.html#ab9099279876aa70410ab96ca589531df">Behaviour::~Behaviour</a></div><div class="ttdeci">~Behaviour()</div></div>
<div class="ttc" id="aclass_behaviour_html_acbe345ebc552c4f6875ec845d2697f9f"><div class="ttname"><a href="class_behaviour.html#acbe345ebc552c4f6875ec845d2697f9f">Behaviour::_temp</a></div><div class="ttdeci">boolean _temp</div><div class="ttdef"><b>Definition:</b> Behaviours.h:23</div></div>
<div class="ttc" id="aclass_behaviour_html_ad5aa6388bf5b47911ae801ebbf82e35d"><div class="ttname"><a href="class_behaviour.html#ad5aa6388bf5b47911ae801ebbf82e35d">Behaviour::args</a></div><div class="ttdeci">virtual char * args()</div></div>
<div class="ttc" id="aclass_behaviour_html_ad6628fb93079b0f8e2ef4412a9046416"><div class="ttname"><a href="class_behaviour.html#ad6628fb93079b0f8e2ef4412a9046416">Behaviour::_name</a></div><div class="ttdeci">String _name</div><div class="ttdef"><b>Definition:</b> Behaviours.h:27</div></div>
<div class="ttc" id="aclass_behaviour_html_af1f8d319677a6935c28acbbea643c46c"><div class="ttname"><a href="class_behaviour.html#af1f8d319677a6935c28acbbea643c46c">Behaviour::_priority</a></div><div class="ttdeci">boolean _priority</div><div class="ttdef"><b>Definition:</b> Behaviours.h:24</div></div>
<div class="ttc" id="aclass_behaviour_table_html"><div class="ttname"><a href="class_behaviour_table.html">BehaviourTable</a></div><div class="ttdoc">A container for a block's behaviours.</div><div class="ttdef"><b>Definition:</b> Behaviours.h:89</div></div>
<div class="ttc" id="aclass_behaviour_table_html_a418f3281a4015f9aee5bf96f04bbc7e2"><div class="ttname"><a href="class_behaviour_table.html#a418f3281a4015f9aee5bf96f04bbc7e2">BehaviourTable::BehaviourTable</a></div><div class="ttdeci">BehaviourTable()</div></div>
<div class="ttc" id="aclass_behaviour_table_html_a54ee378244ccb20084f6d9f3e629cce9"><div class="ttname"><a href="class_behaviour_table.html#a54ee378244ccb20084f6d9f3e629cce9">BehaviourTable::get_num_behaviours</a></div><div class="ttdeci">int get_num_behaviours()</div></div>
<div class="ttc" id="aclass_behaviour_table_html_a9032dcf2ef997e471bb24f1d5a01b526"><div class="ttname"><a href="class_behaviour_table.html#a9032dcf2ef997e471bb24f1d5a01b526">BehaviourTable::get_by_num</a></div><div class="ttdeci">Behaviour * get_by_num(int n)</div></div>
<div class="ttc" id="aclass_behaviour_table_html_a96ee4c7c933eb504cec5869f32b685af"><div class="ttname"><a href="class_behaviour_table.html#a96ee4c7c933eb504cec5869f32b685af">BehaviourTable::add</a></div><div class="ttdeci">void add(Behaviour *b)</div></div>
<div class="ttc" id="aclass_behaviour_table_html_ad5d8a74149039069429b8220bd20387a"><div class="ttname"><a href="class_behaviour_table.html#ad5d8a74149039069429b8220bd20387a">BehaviourTable::get</a></div><div class="ttdeci">Behaviour * get(String n)</div></div>
<div class="ttc" id="aclass_behaviour_table_html_ad9d97706571921853ee9264a4c8b5002"><div class="ttname"><a href="class_behaviour_table.html#ad9d97706571921853ee9264a4c8b5002">BehaviourTable::num</a></div><div class="ttdeci">int num</div><div class="ttdef"><b>Definition:</b> Behaviours.h:93</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- HTML footer for doxygen 1.8.18-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.9.1
</small></address>
</body>
</html>
